# Information `GET` `https://api.unusualwhales.com/api/stock/{ticker}/info` Returns a information about the given ticker. ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Path Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `ticker` | SingleTicker | Yes | A single ticker | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `announce_time` | Stock Earnings time | The time when the earnings will be released. | | `avg30_volume` | Stock Average 30 Day Volume | The avg stock volume for the stock last 30 days. | | `beta` | Stock Beta | The beta coefficient measuring the stock's volatility relative to the overall market (typically S&P 500). A beta of 1 indicates the stock moves with the market, greater than 1 indicates higher volatility, and less than 1 indicates lower volatility. | | `full_name` | Stock Full Name | Full name of the ticker. | | `has_dividend` | Stock Has Dividend | Boolean flag whether the company pays dividends. | | `has_earnings_history` | Stock Has Earnings History | Boolean flag whether historic earnings data is present. | | `has_investment_arm` | Stock Has Investment Arm | Boolean flag whether the given stock is holding stocks of other companies. | | `has_options` | Stock Has Options | Boolean flag whether the company has options. | | `issue_type` | Stock Issue Type | The issue type of the ticker. | | `logo` | Logo | A link to a logo | | `marketcap` | Stock Marketcap AUM | The marketcap of the underlying ticker. If the issue type of the ticker is ETF then the marketcap represents the AUM. | | `next_earnings_date` | Stock Next Earnings Date | The next earnings date of the ticker. Null if either unknown as of now or if the ticker does not have any earnings such as an ETF | | `sector` | Market General Sector | The financial sector of the ticker. Empty if unknown or not applicable such as ETF/Index. | | `short_description` | Stock Short Description | Short description about what the stock does. | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/stock/{ticker}/info" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/stock/{ticker}/info", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": { "announce_time": "unknown", "avg30_volume": "55973002", "beta": "1.25", "full_name": "APPLE", "has_dividend": true, "has_earnings_history": true, "has_investment_arm": false, "has_options": true, "issue_type": "Common Stock", "marketcap": "2776014233920", "marketcap_size": "big", "next_earnings_date": "2023-10-26", "sector": "Technology", "short_description": "Apple Inc. is an American multinational technology company headquartered in Cupertino, California. Apple is the worlds largest technology company by ...", "symbol": "AAPL", "uw_tags": [] } } ```